package com.bogotobogo.android.clistview2;

import java.util.ArrayList;
import java.util.HashMap;

import android.app.ListActivity;
import android.os.Bundle;
import android.widget.SimpleAdapter;

public class CListView2 extends ListActivity {
	
    static final ArrayList<HashMap<String,String>> list = 
    	new ArrayList<HashMap<String,String>>();
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.clistview);
        SimpleAdapter adapter = new SimpleAdapter(
        		this,
        		list,
        		R.layout.crowview,
        		new String[] {"rank","model","company"},
        		new int[] {R.id.text1,R.id.text2, R.id.text3}
        );     
        populateList();
        setListAdapter(adapter);    
    }
    
    private void populateList() {
    	HashMap<String, String> map = new HashMap<String, String>();
    	map.put("rank", "1");
    	map.put("model", "32GB iPhone 4");
    	map.put("company", "Apple");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "2");
    	map.put("model", "EVO 4G");
    	map.put("company", "HTC");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "3");
    	map.put("model", "Droid X");
    	map.put("company", "Motorola");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "4");
    	map.put("model", "Droid Incredible");
    	map.put("company", "HTC");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "5");
    	map.put("model", "Nexus One");
    	map.put("company", "Google");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "6");
    	map.put("model", "Captivate");
    	map.put("company", "Samsung");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "7");
    	map.put("model", "Droid");
    	map.put("company", "Motorola");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "8");
    	map.put("model", "32GB iPhone 3GS");
    	map.put("company", "Apple");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "9");
    	map.put("model", "Bold 9700");
    	map.put("company", "BlackBerry ");
    	list.add(map);
    	map = new HashMap<String, String>();
    	map.put("rank", "10");
    	map.put("model", "Palm Pre Plus");
    	map.put("company", "Palm");
    	list.add(map);
    	}
}